## EPreviewPane

EPreviewPane

## Synopsis

    struct              EPreviewPane;
    GtkWidget *         e_preview_pane_new                  (EWebView *web_view);
    EWebView *          e_preview_pane_get_web_view         (EPreviewPane *preview_pane);
    ESearchBar *        e_preview_pane_get_search_bar       (EPreviewPane *preview_pane);
    void                e_preview_pane_clear_alerts         (EPreviewPane *preview_pane);
    void                e_preview_pane_show_search_bar      (EPreviewPane *preview_pane);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBox
                               +----GtkVBox
                                     +----EPreviewPane

## Implemented Interfaces

EPreviewPane implements AtkImplementorIface, GtkBuildable, GtkOrientable and EAlertSink.

## Properties

      "search-bar"               ESearchBar*           : Read
      "web-view"                 EWebView*             : Read / Write / Construct Only

## Signals

      "show-search-bar"                                : Action

## Description

## Details

### struct EPreviewPane

    struct EPreviewPane;

### e_preview_pane_new ()

    GtkWidget *         e_preview_pane_new                  (EWebView *web_view);

### e_preview_pane_get_web_view ()

    EWebView *          e_preview_pane_get_web_view         (EPreviewPane *preview_pane);

### e_preview_pane_get_search_bar ()

    ESearchBar *        e_preview_pane_get_search_bar       (EPreviewPane *preview_pane);

### e_preview_pane_clear_alerts ()

    void                e_preview_pane_clear_alerts         (EPreviewPane *preview_pane);

### e_preview_pane_show_search_bar ()

    void                e_preview_pane_show_search_bar      (EPreviewPane *preview_pane);

## Property Details

### The `"search-bar"` property

      "search-bar"               ESearchBar*           : Read

### The `"web-view"` property

      "web-view"                 EWebView*             : Read / Write / Construct Only

## Signal Details

### The `"show-search-bar"` signal

    void                user_function                      (EPreviewPane *epreviewpane,
                                                            gpointer      user_data)         : Action